#! /usr/bin/env python3
# -*- coding: UTF-8 -*-

import sys
import json
import urllib.request
import urllib.parse
import http.client

headers={"Content-Type":"application/json",
        "Api-Key":"YOUR API KEY",
        'X-Requested-With':'XMLHttpRequest'
        }
class track:

    def trackru(requestData, urlStr, method):
        if method == "get":
            url = 'http://api.trackru.ru/v1/trackings/get'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl, headers=headers)
            result = urllib.request.urlopen(req).read()
        elif method == "post":
            url = 'http://api.trackru.ru/v1/trackings/post'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="POST")
            result = urllib.request.urlopen(req).read()
        elif method == "batch":
            url = 'http://api.trackru.ru/v1/trackings/batch'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="POST")
            result = urllib.request.urlopen(req).read()
        elif method == "codeNumberGet":
            url = 'http://api.trackru.ru/v1/trackings'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="GET")
            result = urllib.request.urlopen(req).read()
        elif method == "codeNumberPut":
            url = 'http://api.trackru.ru/v1/trackings'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="PUT")
            result = urllib.request.urlopen(req).read()
        elif method == "codeNumberDel":
            url = 'http://api.trackru.ru/v1/trackings'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="DELETE")
            result = urllib.request.urlopen(req).read()
        elif method == "realtime":
            url = 'http://api.trackru.ru/v1/trackings/realtime'
            RelUrl = url + urlStr
            req = urllib.request.Request(RelUrl,requestData.encode('utf-8'), headers=headers,method="POST")
            result = urllib.request.urlopen(req).read()
        return result




